Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDTUCOSTEMITYPEvalues

java.lang.Object
java.lang.Enum<CDTUCOSTEMITYPEvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDTUCOSTEMITYPEvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDTUCOSTEMITYPEvalues>`, `java.lang.constant.Constable`

public enum CDTUCOSTEMITYPEvalues extends Enum<CDTUCOSTEMITYPEvalues>

Java class for CD-TUCO-STEMITYPEvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TUCO-STEMITYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="stemipci"/>
         <enumeration value="stemirescue"/>
         <enumeration value="stemilate"/>
         <enumeration value="nonstemiurgent"/>
         <enumeration value="nonstemielective"/>
         <enumeration value="nonstemilate"/>
         <enumeration value="emergentpci"/>
         <enumeration value="electivepci"/>
         <enumeration value="outofhospitalarrest"/>
         <enumeration value="stagedpci"/>
         <enumeration value="complicationpriorpci"/>
         <enumeration value="recurrendischaemia"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLICATIONPRIORPCI`
  `ELECTIVEPCI`
  `EMERGENTPCI`
  `NONSTEMIELECTIVE`
  `NONSTEMILATE`
  `NONSTEMIURGENT`
  `OUTOFHOSPITALARREST`
  `RECURRENDISCHAEMIA`
  `STAGEDPCI`
  `STEMILATE`
  `STEMIPCI`
  `STEMIRESCUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDTUCOSTEMITYPEvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDTUCOSTEMITYPEvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDTUCOSTEMITYPEvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STEMIPCI

    public static final CDTUCOSTEMITYPEvalues STEMIPCI

  - ### STEMIRESCUE

    public static final CDTUCOSTEMITYPEvalues STEMIRESCUE

  - ### STEMILATE

    public static final CDTUCOSTEMITYPEvalues STEMILATE

  - ### NONSTEMIURGENT

    public static final CDTUCOSTEMITYPEvalues NONSTEMIURGENT

  - ### NONSTEMIELECTIVE

    public static final CDTUCOSTEMITYPEvalues NONSTEMIELECTIVE

  - ### NONSTEMILATE

    public static final CDTUCOSTEMITYPEvalues NONSTEMILATE

  - ### EMERGENTPCI

    public static final CDTUCOSTEMITYPEvalues EMERGENTPCI

  - ### ELECTIVEPCI

    public static final CDTUCOSTEMITYPEvalues ELECTIVEPCI

  - ### OUTOFHOSPITALARREST

    public static final CDTUCOSTEMITYPEvalues OUTOFHOSPITALARREST

  - ### STAGEDPCI

    public static final CDTUCOSTEMITYPEvalues STAGEDPCI

  - ### COMPLICATIONPRIORPCI

    public static final CDTUCOSTEMITYPEvalues COMPLICATIONPRIORPCI

  - ### RECURRENDISCHAEMIA

    public static final CDTUCOSTEMITYPEvalues RECURRENDISCHAEMIA

- ## Method Details

  - ### values

    public static CDTUCOSTEMITYPEvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDTUCOSTEMITYPEvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDTUCOSTEMITYPEvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.